UbixOS V2 2.0

Data Fields
sys_statfs_args Struct Reference

`#include <sysproto_posix.h>`

Collaboration diagram for sys_statfs_args:

## Data Fields
struct statfs * | buf
char | buf_l_ [0]
char | buf_r_ [(sizeof(register_t)<=sizeof(struct statfs *) ? 0 :sizeof(register_t) - sizeof(struct statfs *))]
char * | path
char | path_l_ [0]
char | path_r_ [(sizeof(register_t)<=sizeof(char *) ? 0 :sizeof(register_t) - sizeof(char *))]

## Detailed Description

Definition at line 596 of file sysproto_posix.h.

## Field Documentation

## ◆ buf

struct statfs* sys_statfs_args::buf

Definition at line 601 of file sysproto_posix.h.

Referenced by sys_statfs().

## ◆ buf_l_

char sys_statfs_args::buf_l_[0]

Definition at line 600 of file sysproto_posix.h.

## ◆ buf_r_

char sys_statfs_args::buf_r_[(sizeof(register_t)<=sizeof(struct statfs *) ? 0 :sizeof(register_t) - sizeof(struct statfs *))]

Definition at line 602 of file sysproto_posix.h.

## ◆ path

char* sys_statfs_args::path

Definition at line 598 of file sysproto_posix.h.

Referenced by sys_statfs().

## ◆ path_l_

char sys_statfs_args::path_l_[0]

Definition at line 597 of file sysproto_posix.h.

## ◆ path_r_

char sys_statfs_args::path_r_[(sizeof(register_t)<=sizeof(char *) ? 0 :sizeof(register_t) - sizeof(char *))]

Definition at line 599 of file sysproto_posix.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/sysproto_posix.h